[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: New F8 kernel install error



On Thursday 24 January 2008 07:47:10 pm Kevin J. Cummings wrote:
> Is anyone else seeing this:
> >   Installing: kernel                       #########################
> > [1/4] /sbin/mkinitrd: line 186: 12264 Segmentation fault      $ldso
> > --verify $bin > /dev/null 2>&1
>
> It happens when I try and install the new kernel-2.6.23.14-107.fc8.i686

I have just installed the same kernel version without problems.

It's possible that mkinitrd is having trouble building the initial image 
needed by the new kernel with your specific hardware configuration.

You can try downloading the new rpm kernel and then install it without 
executing the POSTIN script:

#rpm -Uvh --nopost kernel-2.6.23.14-107.fc8.i686.rpm

and then run the mkinitrd manually with verbose param to try to get more info 
for the error:

#mkinitrd -v -k /boot/vmlinuz-2.6.23.14-107.fc8 -i /boot/initrd-2.6.23.14-107.fc8

Of course, if the above has success, then you need to modify too your 
grub.conf file in order to reboot with the new kernel.

I have not tried the above procedure, but feel free to give it a try if you 
wish :)


best regards

Teo Fonrouge


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]